یکی از بزرگترین ارائه دهندگان گواهینامه های HTTPS ، Let’s Encrypt ، استفاده از گواهینامه ریشه قدیمی را در هفته آینده متوقف می کند – به این معنی که ممکن است برای جلوگیری از خراب شدن دستگاه های خود نیاز به ارتقا داشته باشید.

Let’s Encrypt ، یک سازمان غیرانتفاعی رایگان برای استفاده ، گواهینامه هایی صادر می کند که اتصالات بین دستگاه های شما و اینترنت گسترده را رمزگذاری می کند و اطمینان می دهد که هیچ کس نمی تواند داده های شما را در حمل و نقل رهگیری و سرقت کند. میلیون ها وب سایت به تنهایی به Let’s Encrypt متکی هستند. اما ، همانطور که توسط محقق امنیتی Scott Helme هشدار داده است ، گواهی ریشه ای که Let’s Encrypt از آن استفاده می کند – IdentTrust DST Root CA X3 – در 30 سپتامبر منقضی می شود. پس از این ، رایانه ها ، دستگاه ها و سرویس گیرندگان وب – مانند مرورگرها – دیگر نخواهند بود. گواهی های اعتماد که توسط این مرجع صدور گواهینامه صادر شده است.

برای اکثریت قریب به اتفاق کاربران وب سایت ، هیچ جای نگرانی وجود ندارد و 30 سپتامبر طبق معمول تجارت خواهد بود. با این حال ، دستگاه های قدیمی تر ممکن است با مشکل مواجه شوند ، درست مانند زمانی که AddTrust External CA Root در ماه مه به پایان رسید. در نتیجه Stripe ، Red Hat و Roku دچار خاموشی شدند.

هلم در یک پست وبلاگی با اشاره به انقضای آینده ، هشدار داد: “با توجه به تفاوت اندازه نسبی بین Let’s Encrypt و AddTrust ، من احساس می کنم که انقضای ریشه IdenTrust می تواند مشکلات بیشتری ایجاد کند.”

“حداقل چیزی ، جایی قرار است خراب شود.” اسکات هلم ، محقق امنیتی

دستگاه هایی که احتمالاً تحت انقضای گواهی قرار می گیرند ، آنهایی هستند که به طور مرتب به روز نمی شوند ، مانند سیستم های جاسازی شده که به منظور به روزرسانی خودکار یا گوشی های هوشمند دارای نسخه های نرم افزاری قدیمی طراحی نشده اند. کاربرانی که نسخه های قدیمی macOS 2016) و ویندوز XP (با سرویس پک 3) را اجرا می کنند ، به همراه مشتریان وابسته به OpenSSL 1.0.2 یا بالاتر و PlayStation های قدیمی تر که به سیستم عامل جدیدتر ارتقاء نیافته اند ، با مشکلات روبرو می شوند.

در حالی که اندروید ، به قول بیایید رمزگذاری کنیم ، دارای یک “مشکل قدیمی و شناخته شده در مورد به روز رسانی سیستم عامل” است ، اما غیر انتفاعی راه حلی دارد که ممکن است مانع از انقضای اکثر تلفن های هوشمند شود. این سازمان امسال به گواهی ISRG Root X1 خود منتقل شد ، که تا سال 2035 منقضی نمی شود. در حالی که بسیاری از دستگاه های Android هنوز به این گواهی نامه اعتماد ندارند – یعنی نسخه های Android (Nougat) 7.1.1 و قبل از آن – Let’s Encrypt یک امضای متقابل برای گواهی خود که بیش از ریشه امضا معتبر است ، به این معنی که اکثر دستگاه های Android باید تا سه سال دیگر بدون شکستگی باقی بمانند.

Let’s Encrypt گفت که ممکن است برخی از دستگاه های Android همچنان با مشکلاتی روبرو شوند و توصیه می کند که کاربران دارای Android (Lollipop) 5.0 فایرفاکس را نصب کنند.

Let’s Encrypt توضیح می دهد: “برای مرورگر داخلی تلفن Android ، لیست گواهینامه های ریشه قابل اعتماد از سیستم عامل می آید-که در این تلفن های قدیمی قدیمی است.” “با این حال ، فایرفاکس در حال حاضر در بین مرورگرها منحصر به فرد است – این فهرست دارای گواهی نامه های ریشه قابل اعتماد خود است.”

Let’s Encrypt ، که از اوایل سپتامبر بیش از دو میلیارد گواهینامه از زمان تأسیس آن در سال 2014 صادر کرده است ، به TechCrunch گفت که کاربران باید ببینند چند مشتری از نسخه های تحت تاثیر OpenSSL و سیستم عامل های قدیمی استفاده می کنند. توصیه آن برای کسانی که نمی توانند ارتقا دهند این است که “بررسی کنند که آیا ارائه یک زنجیره گواهی با علامت متقابل جدید ما منطقی است”.

پیش بینی آنچه در 30 سپتامبر اتفاق می افتد دشوار است ، اما همانطور که هلمه می گوید: “حداقل چیزی ، جایی قرار است خراب شود.”

این 6 پسوند مرورگر از حریم خصوصی شما به صورت آنلاین محافظت می کند


منبع Tech Crunch